org.eclipse.actf.model.dom.dombycom

## Interface INodeExVideo

    public interface INodeExVideo

INodeExVideo interface defines the methods to be implemented by the video object.

### Nested Class Summary

Nested Classes
`static class` `INodeExVideo.VideoState` The enumeration of the state of the video.

### Method Summary

Methods
`boolean` `fastForward()`
`boolean` `fastReverse()`
`double` `getCurrentPosition()`
`INodeExVideo.VideoState` `getCurrentState()`
`INodeEx` `getReferenceNode()`
`double` `getTotalLength()`
`String` `getVideoURL()`
`boolean` `nextTrack()`
`boolean` `pauseMedia()`
`boolean` `playMedia()`
`boolean` `previousTrack()`
`boolean` `setCurrentPosition(double pos)`
`boolean` `stopMedia()`

### Method Detail

#### getCurrentState

    INodeExVideo.VideoState getCurrentState()

Returns:
  the current state.

#### previousTrack

    boolean previousTrack()

Returns:
  whether the operation is succeeded or not.

#### nextTrack

    boolean nextTrack()

Returns:
  whether the operation is succeeded or not.

#### stopMedia

    boolean stopMedia()

Returns:
  whether the operation is succeeded or not.

#### playMedia

    boolean playMedia()

Returns:
  whether the operation is succeeded or not.

#### pauseMedia

    boolean pauseMedia()

Returns:
  whether the operation is succeeded or not.

#### fastReverse

    boolean fastReverse()

Returns:
  whether the operation is succeeded or not.

#### fastForward

    boolean fastForward()

Returns:
  whether the operation is succeeded or not.

#### getCurrentPosition

    double getCurrentPosition()

Returns:
  the current playing position in seconds.

#### setCurrentPosition

    boolean setCurrentPosition(double pos)

Returns:
  whether the operation is succeeded or not.

#### getTotalLength

    double getTotalLength()

Returns:
  the total media length in seconds.

#### getReferenceNode

    INodeEx getReferenceNode()

Returns:
  the HTML element corresponding to the video object.

#### getVideoURL

    String getVideoURL()

Returns:
  the URL of the video object, or null if URL can't be obtained.